@import '../settings.scss';

body {
    background: var(--color-bg);
    color: var(--color-text);
    font-family: var(--font-family);
    line-height: var(--line-height);
    margin: 0;
    overflow-x: hidden;
    padding: 1rem 0;
}

footer,
header,
main {
    margin: 0 auto;
    max-width: var(--width-content);
    padding: 2rem 1rem;
}

hr {
    background-color: var(--color-bg-secondary);
    border: none;
    height: 1px;
    margin: 4rem 0;
    width: 100%;
}

section {
	display: flex;
	flex-wrap: wrap;
	justify-content: var(--justify-important);
    
	img { max-width: 100%; }
	pre { overflow: auto; }

	aside {
		width: var(--width-card);
		margin: 1rem;
		padding: 1.25rem;
		border: 1px solid var(--color-bg-secondary);

		border-radius: $border-radius;
		box-shadow: var(--box-shadow) var(--color-shadow);

		&:hover { box-shadow: var(--box-shadow) var(--color-bg-secondary); }
	}
}
article {
	img { max-width: 100%; }
	aside {
		background: var(--color-secondary-accent);
		border-left: 4px solid var(--color-secondary);
		padding: 0.01rem 0.8rem;
        
        a { color: var(--color-secondary); }
	}
}

[hidden] {
    display: none;
}